Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## main.eingabe
Class Eingabe

    java.lang.Object
      |
      +--main.eingabe.Eingabe

public class Eingabe
extends java.lang.Object

Diese Klasse liest die Eingabedaten aus einer Datei aus und erstellt die Matrix, die für die spätere Verarbeitung gebraucht wird.

Version:
  $Revision: 1.23 $
Author:
  Simon Tiffert

Field Summary
`private Matrix` | `matrix` Feld für Matrix

Constructor Summary
`Eingabe(Matrix matrix, java.lang.String dateiName)` Konstruktor, welcher die Matrix übernimmt, die Datei zuweist und mit diesen Daten die Funktion leseDaten() aufruft

Method Summary
`private void` | `leseDaten(java.io.Reader stream)` Diese Funktion liest die Eingabedatei aus.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### matrix

    private Matrix matrix

  Feld für Matrix

Constructor Detail

### Eingabe

    public Eingabe(Matrix matrix,
                   java.lang.String dateiName)
            throws UnexpectedCharacterException,
                   UnexpectedLineException,
                   UnknownCharacterException,
                   TooFewCharactersException,
                   TooFewSperrfelderException,
                   java.io.FileNotFoundException,
                   java.io.IOException,
                   IsSperrfeldException,
                   IsStartpunktException,
                   WrongDimensionException

  Konstruktor, welcher die Matrix übernimmt, die Datei zuweist und mit diesen Daten die Funktion leseDaten() aufruft

Parameters:
  `matrix` - Zentrale Datenstruktur mit Matrix
  `dateiName` - Name der Eingabedatei
Throws:
  `UnexpectedCharacterException` - Unerwartetes Zeichen
  `UnexpectedLineException` - Unerwartete Zeile
  `UnknownCharacterException` - Unbekanntes Zeichen
  `TooFewCharactersException` - Zuwenig Zeichen angegeben
  `TooFewSperrfelderException` - Zuwenig Sperrfelder angegeben
  `java.io.FileNotFoundException` - Datei wurde nicht gefunden
  `java.io.IOException` - Fehler bei der Eingabe
  `IsSperrfeldException` - Doppeldefinition von Sperrfeld
  `IsStartpunktException` - Sperrfeld auf Startfeld definiert
  `WrongDimensionException` - Falsche Dimensionsangaben

Method Detail

### leseDaten

    private void leseDaten(java.io.Reader stream)
                    throws UnexpectedCharacterException,
                           UnexpectedLineException,
                           UnknownCharacterException,
                           java.io.IOException,
                           TooFewCharactersException,
                           TooFewSperrfelderException,
                           IsSperrfeldException,
                           IsStartpunktException,
                           WrongDimensionException

  Diese Funktion liest die Eingabedatei aus. Außerdem findet hier ein Teil der Syntaxüberprüfung statt, welche die Eingabedaten auf Korrektheit überprüft.

  Parameters:
    `stream` - Reader auf Eingabedatei
  Throws:
    `UnexpectedCharacterException` - Unerwartetes Zeichen
    `UnexpectedLineException` - Unerwartete Zeile
    `UnknownCharacterException` - Unbekanntes Zeichen
    `TooFewCharactersException` - Zuwenig Zeichen angegeben
    `TooFewSperrfelderException` - Zuwenig Sperrfelder angegeben
    `java.io.FileNotFoundException` - Datei wurde nicht gefunden
    `java.io.IOException` - Fehler bei der Eingabe
    `IsSperrfeldException` - Doppeldefinition von Sperrfeld
    `IsStartpunktException` - Sperrfeld auf Startfeld definiert
    `WrongDimensionException` - Falsche Dimensionsangaben

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD